/*
	L293D.h - Library for L293D
	Created by Fabio Carvalho, 2014.
*/
#ifndef __L293D__

#include "Arduino.h"

class L293D {
	int enable1;
	int input1;
	int input2;
	int enable2;
	int input3;
	int input4;

public:
	L293D(int enable1, int input1, int input2, int enable2, int input3, int input4);
	~L293D();
	
	void forward(int pwm_motor1, int pwm_motor2);
	void back(int pwm_motor1, int pwm_motor2);
	void right(int pwm_motor1);
	void left(int pwm_motor2);
	void stop();
};

#endif